## org.biojava.bio.seq
Class FeatureFilter.AnnotationContains

    java.lang.Object
      org.biojava.bio.seq.FeatureFilter.ByAnnotationType
          org.biojava.bio.seq.FeatureFilter.AnnotationContains

All Implemented Interfaces:
  FeatureFilter, OptimizableFilter, java.io.Serializable

Enclosing class:
  FeatureFilter

public static final class FeatureFilter.AnnotationContains
extends FeatureFilter.ByAnnotationType

Retrieve features that contain a given annotation, and that the set of values contains the value given.

Since:
  1.3
Author:
  Thomas Down
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.biojava.bio.seq.FeatureFilter

`FeatureFilter.And, FeatureFilter.AnnotationContains, FeatureFilter.ByAncestor, FeatureFilter.ByAnnotation, FeatureFilter.ByAnnotationType, FeatureFilter.ByChild, FeatureFilter.ByClass, FeatureFilter.ByComponentName, FeatureFilter.ByDescendant, FeatureFilter.ByFeature, FeatureFilter.ByPairwiseScore, FeatureFilter.ByParent, FeatureFilter.BySequenceName, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.FrameFilter, FeatureFilter.HasAnnotation, FeatureFilter.Not, FeatureFilter.OnlyChildren, FeatureFilter.OnlyDescendants, FeatureFilter.Or, FeatureFilter.OverlapsLocation, FeatureFilter.ShadowContainedByLocation, FeatureFilter.ShadowOverlapsLocation, FeatureFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`all, leaf, none, top_level`

Constructor Summary
`FeatureFilter.AnnotationContains(java.lang.Object key, java.lang.Object value)` Make a new AnnotationContains that will accept features with an annotation bundle where the value-set assosiated with the property `key` contains a member equal to `value`.

Method Summary
`java.lang.Object` `getKey()`
`java.lang.Object` `getValue()`

Methods inherited from class org.biojava.bio.seq.FeatureFilter.ByAnnotationType
`accept, equals, getType, hashCode, isDisjoint, isProperSubset, setType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureFilter.AnnotationContains

    public FeatureFilter.AnnotationContains(java.lang.Object key,
                                            java.lang.Object value)

  Make a new AnnotationContains that will accept features with an annotation bundle where the value-set assosiated with the property `key` contains a member equal to `value`.

Parameters:
  `key` - the Object used as a key in the annotation
  `value` - the Object associated with key in the annotation

Method Detail

### getKey

    public java.lang.Object getKey()

### getValue

    public java.lang.Object getValue()